#ifndef XMATERIALTECHNIQUE_H
#define XMATERIALTECHNIQUE_H

#include "xasset.h"
#include "xmaterialpass.h"
#include "xstring.h"

#include <QString>

class XMaterialTechnique : public XAsset
{
public:
    explicit XMaterialTechnique();
    ~XMaterialTechnique();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    XString mName;
    quint16 mFlags;
    quint16 mPassCount;
    QVector<XMaterialPass> mPassArray;
};

#endif // XMATERIALTECHNIQUE_H
